#include <windows.h>
#include <iostream>
#include "lir940pci.h"

int main()
{
	//    .
	setlocale(LC_ALL, "russian");

	//  PCI-  .
	UCHAR pciNum = 0;

	//   PCI-.
	HANDLE pci = 0;
	
	//   PCI-.
	Open_Driver_LIR_X(pciNum, pci);

	//   .
	if (reinterpret_cast<int>(pci) == -1)
	{
		std::cout << "   ." << std::endl;
		return 1;
	}

	//   PCI-,   .
	UCHAR channelNum = 1;

	DWORD data = 0;
	UCHAR ident = 0;
	UCHAR state = 0;

	//  ,    .
	const UCHAR REF_MARK_IDENT = 2;

	//  ,    .
	const UCHAR EXT_SIGNAL_IDENT = 1;

	char resume = 'y';

	//
	//   .
	//
	while (resume != 'n')
	{
		//     .
		data = UpdateData_LIR(pci, channelNum, ident, state);

		std::cout << ": " << data 
				  << "  : " << static_cast<int>(state) 
				  << "  : " << static_cast<int>(ident)
				  << std::endl;

		
		if (ident == REF_MARK_IDENT)		//    .
		{
			std::cout << "  ." << std::endl;
		}
		else if (ident == EXT_SIGNAL_IDENT) //    
		{
			std::cout << "  ." << std::endl;
		}


		std::cout << " ? (y/n): "; std::cin >> resume;
		std::cout << std::endl;
	}

	//   PCI-.
	Close_Driver_LIR(pci);

	return 0;
}